Skip to main content
GET
/
v1
/
config
/
screen
/
{id}
Retrieve a screen
curl --request GET \
  --url https://api.mezmo.com/v1/config/screen/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "title": "<string>",
  "rotate90Degrees": true,
  "account": "<string>",
  "categories": [
    "<string>"
  ],
  "widgets": [
    {
      "id": "<string>",
      "field": "<string>",
      "position": {
        "start": [
          "<unknown>"
        ],
        "end": [
          "<unknown>"
        ]
      },
      "match": "<string>",
      "filter": "<string>",
      "label": "<string>",
      "leftLabel": "<string>",
      "rightLabel": "<string>",
      "showBarChart": true,
      "groupBy": "<string>",
      "min": 123,
      "max": 123,
      "units": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://mezmo-9a59581a-mintlify-926f893d.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This key is used for all apis with the exception of ingest. You can obtain it following these instructions and placing the key in the header of your call in the format of Authorization: Token {accesstoken} For example:

curl -H 'Authorization: Token <ACCESS TOKEN>'

Path Parameters

id
string
required

Response

A fully detailed screen resource for the matching id.

id
string
required
read-only

The identifier of this screen.

title
string
required

The title of this screen.

ratio
enum<string>
required

The width to height aspect ratio of this screen.

Available options:
3:2,
4:3,
5:4,
16:9,
16:10,
21:9
rotate90Degrees
boolean
required

Whether the screen is rotated 90 degrees. Setting to true effectively swaps the width to height ratio.

background
enum<string>
required

The background color to use when viewing the screen.

Available options:
dark,
light
account
string
read-only

The account this screen belongs to.

categories
string[]

A list of string categories the screen belongs to.

widgets
object[]